SELECT    [object_name]
		, counter_name
		, cntr_type
		, cntr_value
FROM sys.dm_os_performance_counters
WHERE [counter_name] IN (	  'Page Life Expectancy'
							, 'Checkpoint pages/sec'
							, 'Page reads/sec'
							, 'Page writes/sec'
							, 'Free list stalls/sec'
							, 'Lazy writes/sec')
							AND instance_name IN ('','_total')


--the number of requests for available database pages are suspended 
--requests stall because there are 
--no buffers available
--Should be 2 or less


	
	DECLARE @iCount AS SMALLINT
	CREATE TABLE #FLStalls
				(  Currentvalue		 INT
				 , DateTimeOfCapture Datetime)
	SET @iCount = 1

	WHILE @iCount < 4
		BEGIN

			INSERT INTO #flstalls
			SELECT    cntr_value 
					, GETDATE()
			FROM sys.dm_os_performance_counters
			WHERE counter_name = 'Free list stalls/sec'

			WAITFOR DELAY '00:00:05'

			SET @icount = @icount + 1
		END

	SELECT   'Free list stalls/sec' AS 'CounterName'
			,* 
	FROM #FLStalls



--Lazy Writer process is moving dirty pages from the buffer to disk in order to free up buffer space
--from the buffer to disk
--Should be as close to 0 as possible


--Average Per Second

	DECLARE @iCount1 AS SMALLINT
	CREATE TABLE #Lazy
				(  Currentvalue		 INT
				 , DateTimeOfCapture Datetime)
	SET @iCount1 = 1

	WHILE @iCount1 < 4
		BEGIN

			INSERT INTO #Lazy
			SELECT    cntr_value 
					, GETDATE()
			FROM sys.dm_os_performance_counters
			WHERE counter_name = 'Lazy writes/sec'

			WAITFOR DELAY '00:00:05'

			SET @icount1 = @icount1 + 1
		END

	SELECT   'Lazy writes/sec' AS 'CounterName'
			,* 
	FROM #Lazy

	DROP TABLE #FLStalls
	DROP TABLE #Lazy