SELECT TOP 100
       CAST((qs.total_worker_time) / 1000000.0 AS DECIMAL(28,2)) AS [Total CPU time (s)],
       CAST(qs.total_worker_time * 100.0 / qs.total_elapsed_time AS DECIMAL(28,2)) AS [% CPU],
       qs.execution_count,
       qs.last_physical_reads,
       qs.min_logical_reads,
       qs.max_logical_reads,
       qs.total_logical_reads,
       qs.total_logical_reads/qs.execution_count AS 'AverageLogicalReads',
       qs.min_physical_reads,
       qs.max_physical_reads,
       qs.total_physical_reads,
       qs.max_grant_kb,
	   qs.min_used_grant_kb,
       qs.total_physical_reads/qs.execution_count as 'AveragePhysicalReads',
       SUBSTRING (qt.text,(qs.statement_start_offset/2) + 1,
                           ((CASE WHEN qs.statement_end_offset = -1
                                  THEN LEN(CONVERT(NVARCHAR(MAX), qt.text)) * 2
                                  ELSE qs.statement_end_offset END - qs.statement_start_offset)/2) + 1) AS [Individual Query],
       qt.text AS [Parent Query],
       DB_NAME(qt.dbid) AS DatabaseName,
       qp.query_plan
FROM sys.dm_exec_query_stats qs
CROSS APPLY sys.dm_exec_sql_text(qs.sql_handle) as qt
CROSS APPLY sys.dm_exec_query_plan(qs.plan_handle) qp
WHERE qs.total_elapsed_time > 0
ORDER BY AveragePhysicalReads DESC